## visad.data.vis5d
Class Vis5DCoordinateSystem

    java.lang.Object
      visad.CoordinateSystem
          visad.georef.NavigatedCoordinateSystem
              visad.georef.MapProjection
                  visad.data.vis5d.Vis5DCoordinateSystem

All Implemented Interfaces:
  Serializable

public class Vis5DCoordinateSystem
extends MapProjection

Vis5DCoordinateSystem is the VisAD class for coordinate systems for ( row, col ).

See Also:
  Serialized Form

Field Summary
`(package private) double` `CentralCol`
`(package private) double` `CentralLat`
`(package private) double` `CentralLon`
`(package private) double` `CentralRow`
`(package private) double` `ColInc`
`(package private) double` `Cone`
`(package private) double` `ConeFactor`
`(package private) double` `CosCentralLat`
`(package private) double` `CylinderScale`
`(package private) double` `EastBound`
`(package private) double` `Hemisphere`
`(package private) double` `InvScale`
`(package private) double` `Lat1`
`(package private) double` `Lat2`
`(package private) double` `Nc`
`(package private) double` `NorthBound`
`(package private) double` `Nr`
`(package private) double` `PoleCol`
`(package private) double` `PoleRow`
`(package private) double[]` `projargs`
`(package private) int` `REVERSE_POLES`
`(package private) double` `Rotation`
`(package private) double` `RowInc`
`(package private) double` `SinCentralLat`
`(package private) double` `SouthBound`
`(package private) double` `StereoScale`
`(package private) double` `WestBound`

Constructor Summary
`Vis5DCoordinateSystem(int Projection, double[] projargs, double Nr, double Nc)`

Method Summary
`boolean` `equals(Object cs)` Indicates whether or not this instance is equal to an object (note must test for cs == null).
`double[][]` `fromReference(double[][] latlon)` Convert RealTuple values from Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.
`double` `getColumns()` Get the number of Columns
`Rectangle2D` `getDefaultMapArea()` Get the bounds for this image
`int` `getProjection()` Get the Projection type
`double[]` `getProjectionParams()` Get the projection args
`double` `getRows()` Get the number of Rows
`boolean` `isXYOrder()` Override from super class since toRef and fromRef use rowcol (yx) order instead of colrow (xy) order.
`static void` `main(String[] args)`
`double[][]` `toReference(double[][] rowcol)` Convert RealTuple values to Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

Methods inherited from class visad.georef.MapProjection
`getCenterLatLon, isLatLonOrder, toString`

Methods inherited from class visad.georef.NavigatedCoordinateSystem
`getLatitudeIndex, getLongitudeIndex`

Methods inherited from class visad.CoordinateSystem
`canConvert, fromReference, fromReference, fromReference, getCoordinateSystemUnits, getDimension, getReference, getReferenceUnits, toReference, toReference, toReference, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinatesFreeUnits, transformCoordinatesFreeUnits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REVERSE_POLES

    int REVERSE_POLES

### NorthBound

    double NorthBound

### SouthBound

    double SouthBound

### WestBound

    double WestBound

### EastBound

    double EastBound

### RowInc

    double RowInc

### ColInc

    double ColInc

### Lat1

    double Lat1

### Lat2

    double Lat2

### PoleRow

    double PoleRow

### PoleCol

    double PoleCol

### CentralLat

    double CentralLat

### CentralLon

    double CentralLon

### CentralRow

    double CentralRow

### CentralCol

    double CentralCol

### Rotation

    double Rotation

### Cone

    double Cone

### Hemisphere

    double Hemisphere

### ConeFactor

    double ConeFactor

### CosCentralLat

    double CosCentralLat

### SinCentralLat

    double SinCentralLat

### StereoScale

    double StereoScale

### InvScale

    double InvScale

### CylinderScale

    double CylinderScale

### Nr

    double Nr

### Nc

    double Nc

### projargs

    double[] projargs

Constructor Detail

### Vis5DCoordinateSystem

    public Vis5DCoordinateSystem(int Projection,
                                 double[] projargs,
                                 double Nr,
                                 double Nc)
                          throws VisADException

Method Detail

### getDefaultMapArea

    public Rectangle2D getDefaultMapArea()

  Get the bounds for this image

  Specified by:
    `getDefaultMapArea` in class `MapProjection`
  Returns:
    the bounding box of the MapProjection

### getProjection

    public int getProjection()

  Get the Projection type

### getRows

    public double getRows()

  Get the number of Rows

### getColumns

    public double getColumns()

  Get the number of Columns

### getProjectionParams

    public double[] getProjectionParams()

  Get the projection args

### isXYOrder

    public boolean isXYOrder()

  Override from super class since toRef and fromRef use rowcol (yx) order instead of colrow (xy) order.

  Overrides:
    `isXYOrder` in class `MapProjection`
  Returns:
    false

### toReference

    public double[][] toReference(double[][] rowcol)
                           throws VisADException

  Description copied from class: `CoordinateSystem`
  Convert RealTuple values to Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

  Specified by:
    `toReference` in class `CoordinateSystem`
  Parameters:
    `rowcol` - array of values assumed to be in coordinateSystem units. Input array is not guaranteed to be immutable and could be used for return.
  Returns:
    array of double values in reference coordinates and Units.
  Throws:
    `VisADException` - if problem with conversion.

### fromReference

    public double[][] fromReference(double[][] latlon)
                             throws VisADException

  Description copied from class: `CoordinateSystem`
  Convert RealTuple values from Reference coordinates; for efficiency, input and output values are passed as double[][] arrays rather than RealTuple[] arrays; the array organization is double[tuple_dimension][number_of_tuples]; can modify and return argument array.

  Specified by:
    `fromReference` in class `CoordinateSystem`
  Parameters:
    `latlon` - array of values assumed to be in reference Units. Input array is not guaranteed to be immutable and could be used for return.
  Returns:
    array of double values in CoordinateSystem Units.
  Throws:
    `VisADException` - if problem with conversion.

### equals

    public boolean equals(Object cs)

  Description copied from class: `CoordinateSystem`
  Indicates whether or not this instance is equal to an object (note must test for cs == null).

  Specified by:
    `equals` in class `CoordinateSystem`
  Parameters:
    `cs` - the object in question.
  Returns:
    `true` if and only if this instance equals cs.

### main

    public static void main(String[] args)
                     throws VisADException

  Throws:
    `VisADException`